dyld: Library not loaded and 'Copy Files build phase' #15

Open
jeena opened this Issue Oct 21, 2011 · 1 comment

2 participants

@jeena

In "How to integrate the SoundCloud API Wrapper" you need to add that one needs to add the two frameworks to 'Copy Files build phase' as Frameworks.

You do that when you go to your Target and on the bottom right there is a "+" "Add Build Phase", you chose "Add Copy Files", in the new phase you chose "Destination: Frameworks" and then you drag and drop the SoundCloudAPI.framework and the OAuth2Client.framework to it.

If you do not do that then it says:

dyld: Library not loaded: @executable_path/../Frameworks/OAuth2Client.framework/Versions/A/OAuth2Client
  Referenced from: /Users/example/Projects/Example/build/Debug/Example.app/Contents/MacOS/Example
  Reason: image not found
@stigi

That's true.

Thanks for the feedback. We'll update the docs.

Best,
Ullrich

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment